## fcitx-m17n 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project(fcitx-m17n)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

FIND_PACKAGE(M17N REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)
FIND_PACKAGE(Fcitx 4.2.1 REQUIRED)

option(ENABLE_TEST "standalone test program" Off)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
add_definitions(-D_GNU_SOURCE)
if (M17N_VERSION VERSION_LESS "1.6.3")
    set(NEED_MINPUT_LIST 1)
else (M17N_VERSION VERSION_LESS "1.6.3")
    set(NEED_MINPUT_LIST 0)
endif (M17N_VERSION VERSION_LESS "1.6.3")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_subdirectory(im)
add_subdirectory(po)
if (ENABLE_TEST)
    add_subdirectory(testmim)
endif (ENABLE_TEST)

=== im/CMakeLists.txt ===
include_directories (${M17N_INCLUDE_DIR}
                     ${PROJECT_BINARY_DIR}
                     ${FCITX4_FCITX_INCLUDE_DIRS}
                     ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
                     ${FCITX4_FCITX_UTILS_INCLUDE_DIRS})

set( fcitx_m17n_sources
    fcitx-m17n.c
    keysymname.c
    config.c
    )

if (NEED_MINPUT_LIST)
    set(fcitx_m17n_sources ${fcitx_m17n_sources} minput_list.c)
endif (NEED_MINPUT_LIST)

add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )

fcitx_add_addon(fcitx-m17n ${fcitx_m17n_sources} )
fcitx_add_addon_conf_file(fcitx-m17n.conf)
fcitx_add_configdesc_file(fcitx-m17n.desc)
target_link_libraries (fcitx-m17n ${M17N_LIBRARIES})

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)
file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
if ("${REL_SOURCE_ROOT}" STREQUAL "")
    set(REL_SOURCE_ROOT ".")
endif("${REL_SOURCE_ROOT}" STREQUAL "")

set(POT_FILE fcitx-m17n.pot)

configure_file(POTFILES.in.in ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in)

extract_fcitx_addon_conf_postring()

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/desc.po
                   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/getdescpo ${PROJECT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                   DEPENDS getdescpo)

add_custom_target(
    pot
    COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_BINARY_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-m17n --pot
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/conf.po ${CMAKE_CURRENT_BINARY_DIR}/desc.po
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== testmim/CMakeLists.txt ===
include_directories (${M17N_INCLUDE_DIR}
                     ${PROJECT_BINARY_DIR}
                     ../im
                     )

set(testmim_SOURCES
    testmim.cc
    )
    
if (NEED_MINPUT_LIST)
    set(testmim_SOURCES ${testmim_SOURCES} ../im/minput_list.c)
endif (NEED_MINPUT_LIST)

add_executable(testmim ${testmim_SOURCES})
target_link_libraries (testmim ${M17N_LIBRARIES})

=== debian/changelog ===
fcitx-m17n (0.1.2-2) unstable; urgency=low

  * Fix pinyin input window (Closes: #688011).

 -- Aron Xu <aron@debian.org>  Mon, 24 Sep 2012 22:42:54 +0800

fcitx-m17n (0.1.2-1) unstable; urgency=low

  * New upstream release. 

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 15 May 2012 16:37:21 +0800

fcitx-m17n (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #658147).

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 10 Apr 2012 18:15:36 +0800

=== debian/control ===
Source: fcitx-m17n
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: YunQiang Su <wzssyqa@gmail.com>, Aron Xu <aron@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0.0), cmake, fcitx-libs-dev (>= 1:4.2.1), 
               intltool, libm17n-dev, pkg-config
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-m17n.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-m17n.git

Package: fcitx-m17n
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules
Recommends: fcitx
Description: Free Chinese Input Toy of X - m17n module
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It is an ideal choice for the vast majority. Many of its features make
 users of Unix-like platforms have a fully modern input experience for
 the first time. It has also greatly lower the threshold for developers,
 making the development of extended funtions much easier than ever before.
 .
 This package provides the m17n module, which uses libm17n, a
 multilingual text processing library for the C language.

## fcitx-m17n 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(fcitx-m17n)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

find_package(M17N REQUIRED)
find_package(Fcitx 4.2.7 REQUIRED)

option(ENABLE_TEST "standalone test program" Off)

_fcitx_add_uninstall_target()

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
add_definitions(-D_GNU_SOURCE)
if(M17N_VERSION VERSION_LESS "1.6.3")
  set(NEED_MINPUT_LIST 1)
else()
  set(NEED_MINPUT_LIST 0)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_subdirectory(po)
add_subdirectory(im)
if(ENABLE_TEST)
  add_subdirectory(testmim)
endif()

=== po/CMakeLists.txt ===
set(PO_LANGS de zh_CN zh_TW ja)
foreach(lang ${PO_LANGS})
  fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-m17n fcitx-m17n.pot)

=== debian/changelog ===
fcitx-m17n (0.2.1-1) unstable; urgency=low

  * New upstream relase.

 -- Aron Xu <aron@debian.org>  Sat, 03 Aug 2013 23:02:04 +0800

fcitx-m17n (0.2.0-1) unstable; urgency=low

  * Imported Upstream version 0.2.0

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 15 Feb 2013 14:19:58 +0800

fcitx-m17n (0.1.3-1) experimental; urgency=low

  * New upstream release.
  * Remove patch that is applied upstream.

 -- Aron Xu <aron@debian.org>  Fri, 30 Nov 2012 20:33:38 +0800

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: YunQiang Su <wzssyqa@gmail.com>, Aron Xu <aron@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.0.0), cmake, fcitx-libs-dev (>= 1:4.2.1), 
-               intltool, libm17n-dev, pkg-config
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), cmake, fcitx-libs-dev (>= 1:4.2.8),
+               fcitx-bin, libm17n-dev, pkg-config
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/fcitx
-Vcs-Git: git://git.debian.org/pkg-ime/fcitx-m17n.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-m17n.git
+Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-m17n.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-m17n.git
 
 Package: fcitx-m17n
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules
-Recommends: fcitx
+Recommends: fcitx (>= 1:4.2.8)
 Description: Free Chinese Input Toy of X - m17n module
  Fcitx is the Free Chinese Input Toy of X, which was initially designed
  for Chinese users, and used XIM protocol. Now it has already evolved

## fcitx-m17n 0.2.3

=== debian/changelog ===
fcitx-m17n (0.2.3-3) unstable; urgency=medium

  * Upload to unstable

 -- Aron Xu <aron@debian.org>  Sat, 02 Jan 2016 14:48:07 +0800

fcitx-m17n (0.2.3-2) experimental; urgency=medium

  * Mark as M-A: same
  * Update copyright info

 -- Aron Xu <aron@debian.org>  Mon, 09 Feb 2015 17:57:19 +0800

fcitx-m17n (0.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 06 Jul 2014 02:35:56 +0800

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 Package: fcitx-m17n
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules
 Recommends: fcitx (>= 1:4.2.8)
 Description: Free Chinese Input Toy of X - m17n module

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-m17n-*\.*(.*)\.tar\.xz

## fcitx-m17n 0.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
 find_package(M17N REQUIRED)
-find_package(Fcitx 4.2.7 REQUIRED)
+find_package(Fcitx 4.2.8 REQUIRED)
 
 option(ENABLE_TEST "standalone test program" Off)

=== im/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,16 @@
     fcitx-m17n.c
     keysymname.c
     config.c
+    overrideparser.c
+    )
+
+fcitx_translate_add_sources(
+    fcitx-m17n.h
+    keyname.h
+    keysymname.h
+    minput_list.h
+    overrideparser.h
+    i18nname.c
     )
 
 if (NEED_MINPUT_LIST)
@@ -16,7 +26,9 @@
 
 add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )
 
-fcitx_add_addon(fcitx-m17n ${fcitx_m17n_sources} )
-fcitx_add_addon_conf_file(fcitx-m17n.conf)
-fcitx_add_configdesc_file(fcitx-m17n.desc)
-target_link_libraries (fcitx-m17n ${M17N_LIBRARIES})
+fcitx_add_addon_full(m17n DESC
+    SOURCES ${fcitx_m17n_sources}
+    LINK_LIBS ${M17N_LIBRARIES}
+)
+
+install(FILES default DESTINATION ${FCITX4_PREFIX}/share/fcitx/m17n)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-m17n fcitx-m17n.pot)

=== testmim/CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,18 @@
                      ../im
                      )
 
+link_directories(${FCITX4_FCITX_UTILS_LIBRARY_DIRS})
+
 set(testmim_SOURCES
     testmim.cc
     )
-    
+
 if (NEED_MINPUT_LIST)
     set(testmim_SOURCES ${testmim_SOURCES} ../im/minput_list.c)
 endif (NEED_MINPUT_LIST)
 
 add_executable(testmim ${testmim_SOURCES})
 target_link_libraries (testmim ${M17N_LIBRARIES})
+
+add_executable(testoverride testoverride.c ../im/overrideparser.c)
+target_link_libraries (testoverride ${FCITX4_FCITX_UTILS_LIBRARIES})

=== debian/changelog ===
fcitx-m17n (0.2.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112896)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 13:16:21 +0300

fcitx-m17n (0.2.4-3) unstable; urgency=medium

  * Team upload.
  * Rebuild before Ubuntu 22.04 LTS release.
  * Refresh packaging:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.6.0.
    + Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Feb 2022 22:01:32 -0500

fcitx-m17n (0.2.4-2) unstable; urgency=medium

  * Team upload.
  * Manual rebuild against m17n-lib 1.8.0 and gcc 8.2.
  * Refresh packaging information.
    + Bump debhelper compat to v11.
    + Bump Standards-Version to 4.2.1.
    + Update maintainer to Debian Input Method Team. (Closes: #899924)
    + Update uploaders' email address and use the @debian.org one.
    + Update Vcs-* fields and use the git repo under Salsa
      input-method-team group.
    + Use "dh_missing --fail-missing" in debian/rules.

 -- Boyuan Yang <byang@debian.org>  Mon, 22 Oct 2018 21:26:07 -0400

fcitx-m17n (0.2.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh packaging information.
    + Enable full hardening.
    + Apply "wrap-and-sort -abst".
    + Bump Standards-Version to 4.1.0.
    + Use GitHub as homepage.
    + Use canonical Vcs URLs.
  * Switch d/watch to download.fcitx-im.org.
  * Refresh d/copyright information.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 28 Sep 2017 16:48:55 +0800

=== debian/control ===
Source: fcitx-m17n
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 YunQiang Su <syq@debian.org>,
 Aron Xu <aron@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 fcitx-bin,
 fcitx-libs-dev (>= 1:4.2.8),
 libm17n-dev,
 pkg-config,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx-m17n/
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-m17n.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-m17n

Package: fcitx-m17n
Architecture: any
Multi-Arch: same
Depends:
 fcitx-modules,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx (>= 1:4.2.8),
Description: Free Chinese Input Toy of X - m17n module
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It is an ideal choice for the vast majority. Many of its features make
 users of Unix-like platforms have a fully modern input experience for
 the first time. It has also greatly lower the threshold for developers,
 making the development of extended functions much easier than ever before.
 .
 This package provides the m17n module, which uses libm17n, a
 multilingual text processing library for the C language.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

override_dh_makeshlibs:

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-m17n/ \
 fcitx-m17n-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
